Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Interface GroupMemberListerMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean

public interface GroupMemberListerMBean
extends weblogic.management.commo.StandardInterface, GroupReaderMBean

Provides a method for listing a group's members. An Authentication-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authentication provider extends this MBean and automatically provides a GUI for using these methods.

Method Summary
`java.lang.String` | `listGroupMembers(java.lang.String groupName, java.lang.String memberUserOrGroupNameWildcard, int maximumToReturn)` Searches within a group for user and group (member) names that match a pattern.

Methods inherited from interface weblogic.management.security.authentication.GroupReaderMBean
`getGroupDescription, groupExists, isMember, listGroups`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### listGroupMembers

    public java.lang.String listGroupMembers(java.lang.String groupName,
                                             java.lang.String memberUserOrGroupNameWildcard,
                                             int maximumToReturn)
                                      throws NotFoundException,
                                             InvalidParameterException

  Searches within a group for user and group (member) names that match a pattern. Returns a cursor (string). You can use methods from `weblogic.management.utils.NameLister` (which this MBean extends) to iterate through the returned list.

  This method does not sort the results or distinguish user and group names. You can use the `groupExists` method to determine whether a name refers to an existing group.

  Parameters:
    `groupName` - - The existing group within which this method searches for members.
    `memberUserOrGroupNameWildcard` - - The pattern for which this method searches. The pattern can end with an `*` (asterisk) as a wildcard, which matches any string of characters. The search is not case-sensitive.

    For example, a pattern of `abc` matches exactly one name that contains only `abc`,

    a pattern of `ab*` matches all user and group names that start with `ab`,

    and a pattern of `*` matches all user and group names.

    `maximumToReturn` - - The maximum number of user and group names that this method returns. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort results.
  Throws:
    NotFoundException -
    InvalidParameterException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference